package cn.org.bjca.trust.java.imserver.controller;

import cn.org.bjca.trust.java.imserver.common.TLSSigAPIv2;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("hello")
public class HelloController {
    private TLSSigAPIv2 tl;
    @GetMapping("/{id}")
    public String getById(@PathVariable String id) throws Exception {
        System.out.println("id ==> " + id);
        return "{\"msg\":\"qdxorigin\",\"code\":200,\"data\":\"Sbfuiaefhaikufhcsauik\"}";
    }
    @GetMapping("/getUserSig/{id}")
    public String getUserSig(@PathVariable String id) throws Exception {
        System.out.println("id ==> " + id);
        if (null == tl)
            tl = new TLSSigAPIv2(1400810832, "45aecdb877460cee0b067cc0144b19e19e9352545ccc3376b52a71f719b5bf57");

        return "{\"code\":0,\"data\":{\"userId\":\"" + id + "\",\"userSig\":\"" + tl.genUserSig(id, 2592000) + "\"},\"message\":\"\"}";
    }
}
